//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
#include "..\..\..\Headers\C\uscapdef.c"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"

TForm1 *Form1;

HINSTANCE Hd;
Graphics::TBitmap   *Bmp;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------


void __stdcall OnCapture(char* frameBuf, int width, int	height, int bits, int capStatus, int recStatus, bool& canRec)
{
    HDC src = UserCap_FrameToHDC(frameBuf, width, height, bits, TRUE);
    HDC dest = Form1->PaintBox1->Canvas->Handle;
    BitBlt(dest, 0, 0, width, height, src, 0, 0, SRCCOPY);
    Form1->StaticText1->Caption = IntToStr(UserCap_GetCountFrames());
}

void __stdcall OnGetFrame(char* frameBuf, int width, int height, int bits, int capStatus, int recStatus, bool& canRec)
{

    Bmp->Handle = UserCap_FrameToHBITMAP(frameBuf, width, height, bits, TRUE);
    Form1->PaintBox2->Canvas->Draw(0,0,Bmp);
    Form1->StaticText1->Caption = IntToStr(Form1->TrackBar1->Position);
}

void __fastcall TForm1::FormCreate(TObject *Sender)
{
   Hd = LoadLibrary("usercap.dll");

   if (ConnectToLibrary(Hd)==FALSE)               //   
   {
      if (Hd!=0) FreeLibrary(Hd);
      Hd = 0;
      ShowMessage("    ! ");
      return;
   }
   UserCap_OpenDevice(1);
   Bmp =  new (Graphics::TBitmap);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormActivate(TObject *Sender)
{
    if (Hd==0) Close();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormDestroy(TObject *Sender)
{
  if (Hd!=0)
  {
     UserCap_CloseDevice;
     FreeLibrary(Hd);
     Bmp->Free();
  }
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button1Click(TObject *Sender)
{
    UserCap_StartCapture(0, OnCapture);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
    UserCap_StopCapture();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
    UserCap_ShowWindow(0, 0, 0);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
    UserCap_HideWindow(0);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button5Click(TObject *Sender)
{
     StaticText2->Caption = IntToStr(UserCap_GetCapacity());
     UserCap_StartRec();
     TrackBar1->Max = 0;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button6Click(TObject *Sender)
{
     UserCap_StopRec();
     TrackBar1->Max = UserCap_GetCountFrames();
}
//---------------------------------------------------------------------------


void __fastcall TForm1::TrackBar1Change(TObject *Sender)
{
    UserCap_GetFrame(TrackBar1->Position, OnGetFrame);
}
//---------------------------------------------------------------------------

