//******************************************************************************
//*                       Raster Technolodgy SDK v2.xx                         *
//*                       < UserCapDef.cs   v1.0.0.0 >                         *
//*              Copyright (C)  " ", 2003-2006               *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************


        
#region DllImport
  


//*********************   UserCap ***************************

//------------------      ----------------------

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_OpenDevice(int mode);

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern void UserCap_CloseDevice();


// --------------------    --------------------------

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_StartCapture(OnCaptureDelegate fun1, OnCaptureDelegate fun2);
        
[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
 public static extern void UserCap_StopCapture();


//---------------------------   --------------------------------

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_ShowWindow(int win, int mode, NotifyDelegate fun);

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_HideWindow(int win);

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_SetWindowPos(int win, int left, int top);

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_GetWindowPos(int win, ref int left, ref int top);


//----------------      ------------------------

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_StartRec();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_PauseRec();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_ContinueRec();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_StopRec();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_GetRecStatus();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_GetCapacity();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_GetCountFrames();

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_GetFrame(int frame, OnCaptureDelegate fun);


//-----------------     -------------------

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern void UserCap_CopyFrame(int Buf, byte[] Pixels, int Width, int Height, int Bits, bool Copy16to8,bool InverseOrderLines);

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern IntPtr UserCap_FrameToHBITMAP(int Buf, int Width, int Height, int Bits, bool InverseOrderLines);

[DllImport("UserCap.dll", CallingConvention = CallingConvention.StdCall)]
public static extern int UserCap_FrameToHDC(int Buf, int Width, int Height, int Bits, bool InverseOrderLines);


#endregion


public delegate void OnCaptureDelegate(int Buf, int Width, int Height, int Bits, int CapStatus, int RecStatus, ref bool CanRec);
public delegate void NotifyDelegate(int Param, int Status);
   
